summaryrefslogtreecommitdiffstats
path: root/network/squid/squid.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/squid/squid.SlackBuild')
-rw-r--r--network/squid/squid.SlackBuild12
1 files changed, 4 insertions, 8 deletions
diff --git a/network/squid/squid.SlackBuild b/network/squid/squid.SlackBuild
index f06620a899..43031bfe7c 100644
--- a/network/squid/squid.SlackBuild
+++ b/network/squid/squid.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for squid
# http://www.squid-cache.org/
-# Copyright 2006-2009 David Somero (dsomero@hotmail.com) Athens,TN USA
+# Copyright 2006-2010 David Somero (dsomero@hotmail.com) Athens,TN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=squid
-VERSION=3.0.STABLE21
+VERSION=3.0.STABLE24
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -82,12 +82,8 @@ CXXFLAGS="$SLKCFLAGS" \
make all
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;